Skip to content

User Assignment Settings

Manage user assignment settings. Supports creating and updating the settings.

Create user assignment settings

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
userIdstring

User Id

skillVsProficiencyobject

Skill Level Proficiencies to add or update

skillsToRemoveArray of strings

User's skill proficiencies to remove

capacityConfigIdstring

User's capacity configuration id

timeZoneobject(TimeZone)

User's Time Zone to Set

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/userAssignmentSettings \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "userId": "string",
    "skillVsProficiency": {
      "property1": 0,
      "property2": 0
    },
    "skillsToRemove": [
      "string"
    ],
    "capacityConfigId": "string",
    "timeZone": {
      "timeZone": "string",
      "country": "string"
    }
  }'

Responses

Success

Bodyapplication/json
userIdstring

User Id

capacitiesArray of objects(Capacity)

User's Capacities

proficienciesobject(Proficiencies)

User's Proficiencies in different Skill, Channel and Language

capacityConfigIdstring

User's Capacity Config Id

capacityConfigNamestring

User's Capacity Config Name

timeZoneobject(TimeZone)

User's Time Zone

Response
{ "userId": "string", "capacities": [ { … } ], "proficiencies": { "skillVsProficiency": { … }, "languageVsProficiency": { … }, "channelVsProficiency": { … } }, "capacityConfigId": "string", "capacityConfigName": "string", "timeZone": { "timeZone": "string", "country": "string" } }